ethrxDocs
DRAGONCHAOSHALORAIDR
ethrx.io →
RAIDR

Mission planning for tactical radio networks.

Overview
  • RAIDR overview
  • Getting started
  • Concepts and architecture
  • Propagation physics engine
  • Geo and terrain
  • Server and API
  • Frontend and WASM client
  • LLM integration
  • Configuration and operations
API Reference →
Health
  • getLiveness
  • getReadiness
Deployments
  • getList deployments
  • postCreate deployment
  • getGet deployment
  • patchUpdate deployment
  • DELDelete deployment
Nodes
  • getList nodes
  • postCreate node
  • getGet node
  • DELDelete node
  • putMove node
Analysis
  • postAnalyze link
  • postSample terrain profile
Planning
  • postPlan relays
  • postRoute over mesh
  • postRecommend protocol
Coverage
  • postStart coverage job
  • getGet coverage snapshot
  • getStream coverage events
Presets
  • getList radio presets
  • getList antenna presets
  • getList role presets
  • getList modulations
  • getList node templates
  • DELDelete node template
RAIDR/API Reference/Presets

Delete node template

deletehttp://127.0.0.1:8787/api/v1/templates/{id}

Path parameters

idstring <uuid>Required

Template ID.

Response

204

Template deleted.

Errors

404
Problem

Resource not found.

Previous
getList node templates
DEL/api/v1/templates/{id}
curl -X DELETE http://127.0.0.1:8787/api/v1/templates/3f1c9a2e-7b4d-4e8a-9c21-5d6f0a8b7e43
Response
(no content)